part of 'profile_bloc.dart';

@freezed
class ProfileState with _$ProfileState {
   const factory ProfileState.initial() = _Initial;
  const factory ProfileState.loading() = _Loading;
  const factory ProfileState.profileLoaded({
    required Map<String, dynamic> profile,
  }) = _ProfileLoaded;
  const factory ProfileState.profileUpdated() = _ProfileUpdated;
  const factory ProfileState.error({required String message}) = _Error;
}
